apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: web-pvc
  namespace: xenon-app
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 2Gi
  volumeName: web-pv

---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: web-pv
  namespace: xenon-app
  labels:
    type: web-pv
spec:
  capacity:
    storage: 2Gi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  nfs:
    path: "/elk/pv2"
    server: 10.3.3.49
    readOnly: false

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: web-mysql-pvc
  namespace: xenon-app
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 2Gi
  volumeName: web-mysql-pv

---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: web-mysql-pv
  namespace: xenon-app
  labels:
    type: web-mysql-pv
spec:
  capacity:
    storage: 2Gi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  nfs:
    path: "/elk/pv1"
    server: 10.3.3.49
    readOnly: false
